import React from 'react'
import { Image } from 'react-native-svg'
import floorMaps from "../../../../assets/cameron-maps"

interface Building {
  id: number
  name: string
  floors: number
}

const IndoorFloor: React.FC<{floorNum: number}> = (props) => {
  const floors = [
    <Image height={"100%"} width={"100%"} href={floorMaps.BASEMENT} />,
    <Image height={'100%'} width="100%" href={floorMaps.FIRST_FLOOR} />,
    <Image height={"100%"} width={"100%"} href={floorMaps.SECOND_FLOOR} />,
    <Image height={"100%"} width={"100%"} href={floorMaps.THIRD_FLOOR} />,
    <Image height={"100%"} width={"100%"} href={floorMaps.FOURTH_FLOOR} />,
    <Image height={"100%"} width={"100%"} href={floorMaps.FIFTH_FLOOR} />,
  ]

  return floors[props.floorNum]
}

export default IndoorFloor
