import { makeAutoObservable } from "mobx"
import { store } from "../../../../main-store";
import { Landmark } from "../../../../types";

export class NearbyLandmarkPanelStore {
    panelVisible = false;
    nearbyLandmarks: Landmark[] = [];

    constructor() {
        makeAutoObservable(this);
    }

    setNearbyLandmarks(landmarks: Landmark[]) {
        this.nearbyLandmarks = landmarks;
    }

    focusNearbyLandmarks() {
        if (this.nearbyLandmarks?.length > 1) {
            this.panelVisible = true;
        }
        else if (this.nearbyLandmarks?.length === 1) { 
            store.selectedLm.selectLandmark(this.nearbyLandmarks[0].id)
        }
    }

    closePanel() {
        this.panelVisible = false;
    }
}