import { makeAutoObservable } from "mobx";
import { Landmark } from "../../../../types";

export class SelectedLandmarkStore {
    selectedLandmarkId: string = "";
    pendingLandmarkData?: Landmark;
    panelVisible: boolean = false;
    editing: boolean = false;
    selectedImageIndex: number = -1;

    constructor() {
        makeAutoObservable(this);
    }

    selectLandmark(id: string) {
        this.selectedLandmarkId = id;
        this.panelVisible = true;
    } 

    close() {
        this.selectedLandmarkId = "";
        this.pendingLandmarkData = undefined;
        this.panelVisible = false;
    }

    setEditing(editing: boolean) {
        this.editing = editing;
    }

    selectImage(index: number) {
        this.selectedImageIndex = index;
    }
}